Bug 842042 - [abrt] libreoffice-core-3.5.5.3-2.fc17: _cairo_ft_scaled_glyph_init: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.5.5.3-2.fc17: _cairo_ft_scaled_glyph_init: Process ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cairo (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
abrt_hash:669a86de4c1890bb0be50c259dd...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-21 03:52 EDT by Raphos
Modified: 2013-08-01 03:46 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 03:46:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (6.58 KB, text/plain)
2012-07-21 03:53 EDT, Raphos
no flags Details
File: backtrace (147.17 KB, text/plain)
2012-07-21 03:53 EDT, Raphos
no flags Details
File: maps (83.46 KB, text/plain)
2012-07-21 03:53 EDT, Raphos
no flags Details
File: dso_list (18.30 KB, text/plain)
2012-07-21 03:53 EDT, Raphos
no flags Details
File: build_ids (6.97 KB, text/plain)
2012-07-21 03:53 EDT, Raphos
no flags Details
.odt file causing crash (50.67 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-07-23 13:22 EDT, Raphos
no flags Details

  None (edit)
Description Raphos 2012-07-21 03:52:37 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc file:///home/Raph/TMP/Consommations_bck.ods --splash-pipe=6
comment:        Change tab in a .odt file.
crash_function: _cairo_ft_scaled_glyph_init
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.4.5-2.fc17.x86_64
pid:            10857
pwd:            /home/Raph
time:           sam. 21 juil. 2012 09:14:56 CEST
uid:            1000
username:       Raph

backtrace:      Text file, 150707 bytes
build_ids:      Text file, 7134 bytes
core_backtrace: Text file, 6736 bytes
dso_list:       Text file, 18735 bytes
maps:           Text file, 85467 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/Raph/1

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:HOSTNAME=raph.home
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=10843
:GPG_AGENT_INFO=/run/user/Raph/keyring-eqv6XO/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:DESKTOP_STARTUP_ID=nautilus-10830-raph.home-libreoffice-0_TIME2806755
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:OLDPWD=/usr/lib64/libreoffice/program
:GNOME_KEYRING_CONTROL=/run/user/Raph/keyring-eqv6XO
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=Raph
:SSH_AUTH_SOCK=/run/user/Raph/keyring-eqv6XO/ssh
:USERNAME=
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/827,unix/unix:/tmp/.ICE-unix/827
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/libreoffice-calc.desktop
:MAIL=/var/spool/mail/Raph
:PATH=/usr/NX/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/Raph/.local/bin:/home/Raph/bin
:DESKTOP_SESSION=gnome
:NXDIR=/usr/NX
:QT_IM_MODULE=xim
:PWD=/home/Raph
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:LANG=fr_FR.utf8
:GDM_LANG=fr_FR.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/Raph
:SHLVL=1
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=Raph
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Uf3spsUmvp,guid=dc9c29820a5b219feb551cb000000013
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/Raph
:DISPLAY=:0.0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/var/run/gdm/auth-for-Raph-xoaIcb/database
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64/client:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64/server:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64/native_threads:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 95837                processes 
:Max open files            4096                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       95837                95837                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/Raph/.xsession-errors
:pos:	11997
:flags:	0102002
:2:/home/Raph/.xsession-errors
:pos:	11997
:flags:	0102002
:3:socket:[194401]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:pipe:[193110]
:pos:	0
:flags:	00

var_log_messages:
:Jul 19 10:38:52 raph kernel: [ 5522.403883] soffice.bin[3031]: segfault at 30044e5970 ip 00000030044e5970 sp 00007fffae50f978 error 15 in libstdc++.so.6.0.17[30044e4000+8000]
:Jul 19 10:38:53 raph abrt[3052]: Saved core dump of pid 3031 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-07-19-10:38:52-3031 (110346240 bytes)
:Jul 21 09:14:56 raph kernel: [ 2819.564472] soffice.bin[10857]: segfault at 30 ip 0000003cd5c6c828 sp 00007fff9a803b10 error 4 in libcairo.so.2.11000.2[3cd5c00000+a5000]
:Jul 21 09:14:56 raph abrt[10909]: Saved core dump of pid 10857 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-07-21-09:14:56-10857 (104189952 bytes)
Comment 1 Raphos 2012-07-21 03:53:18 EDT
Created attachment 599494 [details]
File: core_backtrace
Comment 2 Raphos 2012-07-21 03:53:22 EDT
Created attachment 599495 [details]
File: backtrace
Comment 3 Raphos 2012-07-21 03:53:25 EDT
Created attachment 599496 [details]
File: maps
Comment 4 Raphos 2012-07-21 03:53:28 EDT
Created attachment 599497 [details]
File: dso_list
Comment 5 Raphos 2012-07-21 03:53:30 EDT
Created attachment 599498 [details]
File: build_ids
Comment 6 David Tardon 2012-07-21 05:44:05 EDT
Thread 2 shows an XIOError, which means that the X server died. There is no way to recover from that.
Comment 7 Raphos 2012-07-21 17:41:02 EDT
Hi,

I don't understand what you mean with the XIOError.

It may be not a bug, but tell me please how to edit this important .odt file without a session crash at each time.

You can not tell me that this is an normal comportment using LibreOffice...
Comment 8 Caolan McNamara 2012-07-23 07:19:31 EDT
If you have a specific document that crashes LibreOffice when you "do something" can you attach it here ?
Comment 9 Raphos 2012-07-23 13:22:48 EDT
Created attachment 599833 [details]
.odt file causing crash

Here is the file.

Just go from the active sheet into the first one.

Thanks.
Comment 10 Raphos 2012-07-23 13:42:31 EDT
I just report another bug Bug 842391.

Abrt create this rapport after the crash with the .odt file.
Comment 11 David Tardon 2012-07-25 06:03:59 EDT
(In reply to comment #9)
> Created attachment 599833 [details]
> .odt file causing crash
> 
> Here is the file.
> 
> Just go from the active sheet into the first one.

This indeed crashes the whole session. Because my graphic card is ATI while yours is Nvidia (at least according to bug 842391), the crash is not caused by graphic driver.
Comment 12 David Tardon 2012-07-25 09:17:20 EDT
I do not see anything obviously wrong on our side. Let's blame cairo.
Comment 13 Fedora End Of Life 2013-07-03 22:13:25 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2013-08-01 03:46:50 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.